From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Tue, 14 Apr 2020 09:36:25 +0200
Subject: net: wireless: redpine: Silence PS request messages

When power save mode is enabled it generates a lot of noise in dmesg.
Storing all this noise in the system journal is unlikely to be power
efficient.
---
 drivers/net/wireless/redpine/rsi_91x_mgmt.c | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/drivers/net/wireless/redpine/rsi_91x_mgmt.c b/drivers/net/wireless/redpine/rsi_91x_mgmt.c
index 6050474f..3705a40 100644
--- a/drivers/net/wireless/redpine/rsi_91x_mgmt.c
+++ b/drivers/net/wireless/redpine/rsi_91x_mgmt.c
@@ -2543,11 +2543,9 @@ int rsi_send_ps_request(struct rsi_hw *adapter, bool enable)
 				       (RSI_WIFI_MGMT_Q << 12));
 	ps->desc_word[1] = cpu_to_le16(WAKEUP_SLEEP_REQUEST);
 	if (enable) {
-		printk("<=====Sending PS Enable request ======>\n");
 		ps->ps_sleep.enable = 1;
 		ps->desc_word[6] = SLEEP_REQUEST;
 	} else {
-		printk("<=====Sending PS Disable request ======>\n");
 		ps->ps_sleep.enable = 0;
 		ps->desc_word[0] |= BIT(15);
 		ps->desc_word[6] = WAKEUP_REQUEST;
@@ -2583,8 +2581,6 @@ int rsi_send_ps_request(struct rsi_hw *adapter, bool enable)
 		ps->ps_listen_interval = 0;
 
 	skb_put(skb, frame_len);
-	rsi_hex_dump(ERR_ZONE, "ps-request",
-		     skb->data, skb->len);
 
 	return rsi_send_internal_mgmt_frame(common, skb);
 }
